summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2015-11-21 11:26:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-21 11:26:41 +0700
commit65a25d327605673f40f642316d419cff26447eb6 (patch)
tree36f0007a0576883d5c8e94417eb39c4c61083703 /network
parent021c58a20e59e5ffdee58903d0c90ca0065cfc6f (diff)
downloadslackbuilds-65a25d327605673f40f642316d419cff26447eb6.tar.gz
slackbuilds-65a25d327605673f40f642316d419cff26447eb6.tar.xz
network/tmate: Added (instant terminal sharing).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/tmate/README6
-rw-r--r--network/tmate/slack-desc19
-rw-r--r--network/tmate/tmate.SlackBuild106
-rw-r--r--network/tmate/tmate.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/network/tmate/README b/network/tmate/README
new file mode 100644
index 0000000000..8a704c4bfd
--- /dev/null
+++ b/network/tmate/README
@@ -0,0 +1,6 @@
+tmate is a fork of tmux. It provides instant terminal sharing (either read-write
+or read-only) through the server at tmate.io, or through your own server.
+
+You can think of tmate as a reverse ssh tunnel accessible from anywhere.
+
+tmate and tmux can coexist on the same system, they do not conflict.
diff --git a/network/tmate/slack-desc b/network/tmate/slack-desc
new file mode 100644
index 0000000000..c132b31385
--- /dev/null
+++ b/network/tmate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tmate: tmate (instant terminal sharing)
+tmate:
+tmate: tmate is a fork of tmux. It provides instant terminal sharing
+tmate: (either read-write or read-only) through the server at tmate.io
+tmate: or through your own server (not included in this SlackBuild).
+tmate:
+tmate: You can think of tmate as a reverse ssh tunnel accessible from
+tmate: anywhere.
+tmate:
+tmate: tmate and tmux can coexist on the same system, they do not conflict.
+tmate:
diff --git a/network/tmate/tmate.SlackBuild b/network/tmate/tmate.SlackBuild
new file mode 100644
index 0000000000..d4c2b86804
--- /dev/null
+++ b/network/tmate/tmate.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for tmate
+
+# Copyright 2015 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tmate
+VERSION=${VERSION:-1.8.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -f $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES FAQ README-tmux README.md SYNCING TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/tmate/tmate.info b/network/tmate/tmate.info
new file mode 100644
index 0000000000..bee1a2c575
--- /dev/null
+++ b/network/tmate/tmate.info
@@ -0,0 +1,10 @@
+PRGNAM="tmate"
+VERSION="1.8.10"
+HOMEPAGE="http://tmate.io/"
+DOWNLOAD="https://github.com/nviennot/tmate/archive/1.8.10.tar.gz"
+MD5SUM="bfe6cc7e7e0232c7199a83f5c06494ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"